cups-pk-helper_0.2.5-2ubuntu2_amd64.deb


Advertisement

Description

cups-pk-helper - PolicyKit helper to configure cups with fine-grained privileges

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Main amd64
Package name: cups-pk-helper
Package version: 0.2.5
Package release: 2ubuntu2
Package architecture: amd64
Package type: deb
Installed size: 292 B
Download size: 45.17 KB
Official Mirror: archive.ubuntu.com
This package provides a PolicyKit helper to configure cups with fine-grained privileges. For example, it's possible to let users enable/disable printers without requiring a password, while still requiring a password for editing printer settings.

Alternatives

    Download

    Source package: cups-pk-helper

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install cups-pk-helper deb package:
      # sudo apt-get install cups-pk-helper

    Files

    • /etc/dbus-1/system.d/org.opensuse.CupsPkHelper.Mechanism.conf
    • /usr/lib/x86_64-linux-gnu/cups-pk-helper-mechanism
    • /usr/share/dbus-1/system-services/org.opensuse.CupsPkHelper.Mechanism.service
    • /usr/share/doc/cups-pk-helper/NEWS.gz
    • /usr/share/doc/cups-pk-helper/README
    • /usr/share/doc/cups-pk-helper/changelog.Debian.gz
    • /usr/share/doc/cups-pk-helper/copyright
    • /usr/share/polkit-1/actions/org.opensuse.cupspkhelper.mechanism.policy

    Changelog

    2016-01-08 - Matthias Klose <doko@ubuntu.com> cups-pk-helper (0.2.5-2ubuntu2) xenial; urgency=medium * Merge with Debian; remaining changes: - Build using dh-autoreconf. - Bump the standards version. - Build with pie.

    2014-01-12 - Guido Günther <agx@sigxcpu.org> cups-pk-helper (0.2.5-2) unstable; urgency=medium * [ba6e475] Bump debhelper dependency to 9 to enable hardened build-flags Thanks to Moritz Muehlenhoff (Closes: #734803)

    2013-06-24 - Guido Günther <agx@sigxcpu.org> cups-pk-helper (0.2.5-1) unstable; urgency=low * [4ec8dbf] New upstream version 0.2.5 (Closes: #713591) * [1781960] Update patches: 0003-Revert-Be-stricter-when-validating-printer-names.patch - fixed upstream

    2013-06-11 - Sebastien Bacher <seb128@ubuntu.com> cups-pk-helper (0.2.5-0ubuntu1) saucy; urgency=low * New upstream version: - Revert "Be stricter when validating printer names" - New/updated translations * debian/control: - updated debhelper requirement to match compat, updated standards-version * debian/patches/git_revert_stricter_validating.patch: - dropped, the fix is in the new version

    2013-01-23 - Sebastien Bacher <seb128@ubuntu.com> cups-pk-helper (0.2.4-0ubuntu5) raring; urgency=low * debian/patches/git_revert_stricter_validating.patch: - backport upstream commit, the validation code was too strict which was preventing some users to configure their printer, thanks Till Kamppeter for finding the patch to backport (lp: #1101213)

    2012-12-10 - Till Kamppeter <till.kamppeter@gmail.com> cups-pk-helper (0.2.4-0ubuntu4) raring; urgency=low * debian/control: Added build dependency on gnome-common, for "GNOME_COMPILE_WARNINGS([maximum])" in configure.ac.

    2012-12-10 - Till Kamppeter <till.kamppeter@gmail.com> cups-pk-helper (0.2.4-0ubuntu3) raring; urgency=low * debian/control: Added build dependency on dh-autoreconf.

    2012-12-10 - Till Kamppeter <till.kamppeter@gmail.com> cups-pk-helper (0.2.4-0ubuntu2) raring; urgency=low * debian/compat: Set to level 9, to include DEB_BUILD_MAINT_OPTIONS support. * debian/rules: Added "export DEB_BUILD_MAINT_OPTIONS := hardening=+pie,+bindnow" to build hardened binaries, in preparation for the inclusion in Ubuntu Main. * debian/patches/configure.patch: Make ./configure more verbose to visualize the new hardening flags when linking. * debian/control, debian/rules: autoreconf the package to build the configure script with enhanced verbosity.

    2012-11-08 - Sebastien Bacher <seb128@ubuntu.com> cups-pk-helper (0.2.4-0ubuntu1) raring; urgency=low * New upstream version * Drop Debian kfreebsd patches since they don't apply and are not needed

    2013-01-11 - Guido Günther <agx@sigxcpu.org> cups-pk-helper (0.2.3-3) unstable; urgency=low * [0e08076] Revert "Be stricter when validating printer names" Thanks to Kjö Hansi Glaz

    Advertisement
    Advertisement